curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/representatives{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z",
"total_items": 123,
"page_number": 123,
"page_size": 123,
"max_page_size": 123,
"sort_by": "<string>",
"sort_order": "asc",
"total_pages": 123
},
"response_type": "object",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"first_name": "Ron",
"last_name": "Swanson",
"dob": "1980-01-01",
"ssn_last4": "1234",
"email": "[email protected]",
"mobile_number": "+12128675309",
"relationship": {
"primary": true,
"control": true,
"owner": true,
"percent_ownership": 123,
"title": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"phone": "<string>",
"metadata": {}
}
]
}Returns a list of representatives associated with a specific account or organization. The representatives are returned sorted by creation date, with the most recently created representatives appearing first. This endpoint supports advanced sorting and filtering options.
curl --request GET \
--header 'Authorization: Bearer YOUR_SECRET_API_KEY' \
--url https://sandbox.straddle.com/v1/representatives{
"meta": {
"api_request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"api_request_timestamp": "2023-11-07T05:31:56Z",
"total_items": 123,
"page_number": 123,
"page_size": 123,
"max_page_size": 123,
"sort_by": "<string>",
"sort_order": "asc",
"total_pages": 123
},
"response_type": "object",
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "created",
"status_detail": {
"reason": "unverified",
"source": "watchtower",
"code": "<string>",
"message": "<string>"
},
"first_name": "Ron",
"last_name": "Swanson",
"dob": "1980-01-01",
"ssn_last4": "1234",
"email": "[email protected]",
"mobile_number": "+12128675309",
"relationship": {
"primary": true,
"control": true,
"owner": true,
"percent_ownership": 123,
"title": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"phone": "<string>",
"metadata": {}
}
]
}Use your Straddle API Key in the Authorization header as Bearer
Optional client generated identifier to trace and debug a request.
Optional client generated identifier to trace and debug a series of requests.
The unique identifier of the account to list representatives for.
Results page number. Starts at page 1.
Page size. Max value: 1000 Page size. Default value: 100. Max value: 1000
Sort By. Sort By. Default value: 'id'.
Sort Order. Sort Order. Default value: 'asc'.
asc, desc account, platform OK
Metadata about the API request, including an identifier, timestamp, and pagination details.
Show child attributes
Indicates the structure of the returned content.
data field contains a single JSON object.data field contains an array of objects.data field contains an error object with details of the issue.object, array, error, none Show child attributes
Was this page helpful?